# Uses of Class
org.apache.sysds.runtime.data.TensorIndexes

Packages that use TensorIndexes
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.util

## Uses of TensorIndexes in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return types with arguments of type TensorIndexes
Modifier and Type
Method
Description
`org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`getBinaryTensorBlockRDDHandleForVariable(String varname)`
Spark instructions should call this for all tensor inputs except broadcast variables.
`org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`getBinaryTensorBlockRDDHandleForVariable(String varname, int numParts, boolean inclEmpty)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen, int numParts, boolean inclEmpty)`
Method parameters in org.apache.sysds.runtime.controlprogram.context with type arguments of type TensorIndexes
Modifier and Type
Method
Description
`static TensorBlock`
SparkExecutionContext.`toTensorBlock(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> rdd, DataCharacteristics dc)`

## Uses of TensorIndexes in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return TensorIndexes
Modifier and Type
Method
Description
`TensorIndexes`
IndexedTensorBlock.`getIndexes()`
`TensorIndexes`
TensorIndexes.`setIndexes(long[] ix)`
`TensorIndexes`
TensorIndexes.`setIndexes(TensorIndexes that)`
Methods in org.apache.sysds.runtime.data with parameters of type TensorIndexes
Modifier and Type
Method
Description
`int`
TensorIndexes.`compareTo(TensorIndexes other)`
`void`
IndexedTensorBlock.`set(TensorIndexes indexes2, TensorBlock block2)`
`TensorIndexes`
TensorIndexes.`setIndexes(TensorIndexes that)`
Constructors in org.apache.sysds.runtime.data with parameters of type TensorIndexes
Modifier
Constructor
Description
``
`IndexedTensorBlock(TensorIndexes ind, TensorBlock b)`
``
`TensorIndexes(TensorIndexes indexes)`

## Uses of TensorIndexes in org.apache.sysds.runtime.instructions.spark

Method parameters in org.apache.sysds.runtime.instructions.spark with type arguments of type TensorIndexes
Modifier and Type
Method
Description
`TensorBlock`
AggregateUnarySPInstruction.RDDUTensorAggFunction2.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`

## Uses of TensorIndexes in org.apache.sysds.runtime.instructions.spark.functions

Methods in org.apache.sysds.runtime.instructions.spark.functions that return types with arguments of type TensorIndexes
Modifier and Type
Method
Description
`LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>`
CopyTensorBlockPairFunction.`call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReblockTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReplicateTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`LazyIterableIterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
TensorTensorBinaryOpPartitionFunction.`call(Iterator<scala.Tuple2<TensorIndexes,TensorBlock>> arg0)`
Method parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type TensorIndexes
Modifier and Type
Method
Description
`LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>`
CopyTensorBlockPairFunction.`call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReblockTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReplicateTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`LazyIterableIterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
TensorTensorBinaryOpPartitionFunction.`call(Iterator<scala.Tuple2<TensorIndexes,TensorBlock>> arg0)`

## Uses of TensorIndexes in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils that return types with arguments of type TensorIndexes
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in)`
Creates a partitioning-preserving deep copy of the input tensor RDD, where the indexes and values are copied.
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in, boolean deep)`
Creates a partitioning-preserving copy of the input tensor RDD.
Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type TensorIndexes
Modifier and Type
Method
Description
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(TensorIndexes ix, TensorBlock mb)`
Method parameters in org.apache.sysds.runtime.instructions.spark.utils with type arguments of type TensorIndexes
Modifier and Type
Method
Description
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> in, AggregateOperator aop)`
Single block aggregation over pair rdds with corrections for numerical stability.
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in)`
Creates a partitioning-preserving deep copy of the input tensor RDD, where the indexes and values are copied.
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in, boolean deep)`
Creates a partitioning-preserving copy of the input tensor RDD.
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(scala.Tuple2<TensorIndexes,TensorBlock> in)`

## Uses of TensorIndexes in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type TensorIndexes
Modifier and Type
Method
Description
`static void`
UtilFunctions.`getBlockBounds(TensorIndexes ix, long[] dims, int blen, int[] lower, int[] upper)`